# typed: false
# frozen_string_literal: true

# This file was generated by GoReleaser. DO NOT EDIT.
class Hemingway < Formula
  desc ""
  homepage ""
  version "0.26.2"

  on_macos do
    if Hardware::CPU.intel?
      url "https://gitlab.com/wobcom/iot/hemingway/-/releases/v0.26.2/downloads/hemingway-client_0.26.2_darwin_amd64.tar.gz"
      sha256 "7f96ca2307760d2db7b0bb631e268cd7e91bf288ccc1bc7cb51526f7c6faf3bf"

      def install
        bin.install "hemingway-client" => "hemingway"
      end
    end
    if Hardware::CPU.arm?
      url "https://gitlab.com/wobcom/iot/hemingway/-/releases/v0.26.2/downloads/hemingway-client_0.26.2_darwin_arm64.tar.gz"
      sha256 "02ba10d9a0779e8264bdf3566869eda73ce4cf94b8b49176533284ac8231132f"

      def install
        bin.install "hemingway-client" => "hemingway"
      end
    end
  end

  on_linux do
    if Hardware::CPU.arm? && !Hardware::CPU.is_64_bit?
      url "https://gitlab.com/wobcom/iot/hemingway/-/releases/v0.26.2/downloads/hemingway-client_0.26.2_linux_armv6.tar.gz"
      sha256 "f092cf99fdf9ac789ae3ebeeda29935a0fb9c191b5a0d7f8a8472b21c70269b2"

      def install
        bin.install "hemingway-client" => "hemingway"
      end
    end
    if Hardware::CPU.arm? && Hardware::CPU.is_64_bit?
      url "https://gitlab.com/wobcom/iot/hemingway/-/releases/v0.26.2/downloads/hemingway-client_0.26.2_linux_arm64.tar.gz"
      sha256 "7fce0556409e2179052c0787c633a603d305ab8d59baed2ad04c09d60c88dc5a"

      def install
        bin.install "hemingway-client" => "hemingway"
      end
    end
    if Hardware::CPU.intel?
      url "https://gitlab.com/wobcom/iot/hemingway/-/releases/v0.26.2/downloads/hemingway-client_0.26.2_linux_amd64.tar.gz"
      sha256 "c67320cb749bae482b6a1c700ed9ce0a610fd71a117b361fd714370903394470"

      def install
        bin.install "hemingway-client" => "hemingway"
      end
    end
  end

  test do
    system "#{bin}/hemingway version"
  end
end
